Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime.output
Class StreamOutput

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.output.OutputBase
            |
            +--org.apache.xalan.xsltc.runtime.output.StreamOutput

Direct Known Subclasses:
  StreamHTMLOutput, StreamTextOutput, StreamUnknownOutput, StreamXMLOutput

public abstract class StreamOutput
extends OutputBase

Method Summary
`static java.lang.String` | `getCanonicalEncoding(java.lang.String encoding)`
`void` | `omitHeader(boolean value)`
`void` | `setDoctype(java.lang.String system, java.lang.String pub)` Set the output document system/public identifiers
`void` | `setIndent(boolean indent)`
`void` | `setIndentNumber(int value)`
`void` | `setStandalone(java.lang.String standalone)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class org.apache.xalan.xsltc.runtime.output.OutputBase
`close, endCDATA, namespace, setCdataElements, setEscaping, setMediaType, setType, startCDATA`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCanonicalEncoding

    public static java.lang.String getCanonicalEncoding(java.lang.String encoding)

### setIndentNumber

    public void setIndentNumber(int value)

### setDoctype

    public void setDoctype(java.lang.String system,
                           java.lang.String pub)

  Set the output document system/public identifiers
  Overrides:
    setDoctype in class OutputBase

### setIndent

    public void setIndent(boolean indent)

  Overrides:
    setIndent in class OutputBase

### omitHeader

    public void omitHeader(boolean value)

  Overrides:
    omitHeader in class OutputBase

### setStandalone

    public void setStandalone(java.lang.String standalone)

  Overrides:
    setStandalone in class OutputBase

### setVersion

    public void setVersion(java.lang.String version)

  Overrides:
    setVersion in class OutputBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.